# Interface methods for submodule: NeighborhoodOperatorImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: NeighborhoodOperatorImageFilter
class NeighborhoodOperatorImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetOperator(self, p) -> None:
		""""""
		...

	def GetOperator(self):
		""""""
		...

	def OverrideBoundaryCondition(self, i) -> None:
		""""""
		...

	def GetBoundaryCondition(self):
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

